class_parents
iterator_count
Funções da SPL
PHP Manual

# iterator_apply

(PHP 5 >= 5.1.0)

iterator_apply — Apply a user function to every element of an iterator

### Descrição

int iterator_apply ( Traversable `$iterator` , callback `$function` [, array `$args` ] )

Calls a function for every element in an iterator.

### Parâmetros

`iterator`

  The class to walk through.

`function`

  The callback function to call on every element.

`args`

  Arguments to pass to the callback function.

### Valor Retornado

Returns the iteration count.

### Veja Também

- array_walk() - Aplica uma determinada funcão em cada elemento de um array

class_parents
iterator_count
Funções da SPL
PHP Manual